package com.steerinfo.meterwork.dto;


import com.steerinfo.meterwork.meterworkimage.model.MeterWorkImage;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


@Data
public class MeterWorkImageDto extends MeterWorkImage {

    /**
     * 图片1(IMAGE_FILE_1,VARCHAR,150)
     */
    @ApiModelProperty(value="图片1",required=false)
    private String imageFile1;

    /**
     * 图片2(IMAGE_FILE_2,VARCHAR,150)
     */
    @ApiModelProperty(value="图片2",required=false)
    private String imageFile2;

    /**
     * 图片3(IMAGE_FILE_3,VARCHAR,150)
     */
    @ApiModelProperty(value="图片3",required=false)
    private String imageFile3;

    /**
     * 图片4(IMAGE_FILE_4,VARCHAR,150)
     */
    @ApiModelProperty(value="图片4",required=false)
    private String imageFile4;

    /**
     * 图片5(IMAGE_FILE_5,VARCHAR,150)
     */
    @ApiModelProperty(value="图片5",required=false)
    private String imageFile5;

    /**
     * 图片6(IMAGE_FILE_6,VARCHAR,150)
     */
    @ApiModelProperty(value="图片6",required=false)
    private String imageFile6;

    /**
     * 图片7(IMAGE_FILE_7,VARCHAR,150)
     */
    @ApiModelProperty(value="图片7",required=false)
    private String imageFile7;

    /**
     * 图片8(IMAGE_FILE_8,VARCHAR,150)
     */
    @ApiModelProperty(value="图片8",required=false)
    private String imageFile8;
    public String getImageFile1() {
        return imageFile1;
    }

    public void setImageFile1(String imageFile1) {
        this.imageFile1 = imageFile1 == null ? null : imageFile1.trim();
    }

    public String getImageFile2() {
        return imageFile2;
    }

    public void setImageFile2(String imageFile2) {
        this.imageFile2 = imageFile2 == null ? null : imageFile2.trim();
    }

    public String getImageFile3() {
        return imageFile3;
    }

    public void setImageFile3(String imageFile3) {
        this.imageFile3 = imageFile3 == null ? null : imageFile3.trim();
    }

    public String getImageFile4() {
        return imageFile4;
    }

    public void setImageFile4(String imageFile4) {
        this.imageFile4 = imageFile4 == null ? null : imageFile4.trim();
    }

    public String getImageFile5() {
        return imageFile5;
    }

    public void setImageFile5(String imageFile5) {
        this.imageFile5 = imageFile5 == null ? null : imageFile5.trim();
    }

    public String getImageFile6() {
        return imageFile6;
    }

    public void setImageFile6(String imageFile6) {
        this.imageFile6 = imageFile6 == null ? null : imageFile6.trim();
    }

    public String getImageFile7() {
        return imageFile7;
    }

    public void setImageFile7(String imageFile7) {
        this.imageFile7 = imageFile7 == null ? null : imageFile7.trim();
    }

    public String getImageFile8() {
        return imageFile8;
    }

    public void setImageFile8(String imageFile8) {
        this.imageFile8 = imageFile8 == null ? null : imageFile8.trim();
    }

}

